{
  "type": "wizard_samurai:shaped_table",
  "category": "misc",
  "key": {
    "e": {
      "item": "irons_spellbooks:energized_core"
    },
    "g": {
      "item": "irons_spellbooks:epic_ink"
    },
    "p": {
      "item": "irons_spellbooks:ruined_book"
    },
    "q": {
      "item": "irons_spellbooks:mana_upgrade_orb"
    },
    "w": {
      "item": "irons_spellbooks:cooldown_upgrade_orb"
    },
    "z": {
      "item": "samurai_dynasty:amethyst_ingot"
    }
  },
  "pattern": [
    "wwwww",
    "zqeqz",
    "zgpgz",
    "zqeqz",
    "wwwww"
  ],
  "result": {
    "item": "wizard_samurai:amethyst_spellbook"
  },
  "show_notification": true,
  "tier": 2
}